Subject: Re: bug#53778: 29.0.50; Can't start Emacs because of RenderBadPicture X protocol error

From: Mauro Aranda <[email-masked]>
Date: Sat, 5 Feb 2022 12:38:18 -0300

El vie, 4 feb 2022 a las 22:11, Po Lu (<[email-masked]>) escribió:

> Mauro Aranda <[email-masked]> writes:
>
> > After commit b944841173... I can't start GUI Emacs.
> >
> > I did:
> > ./configure && make
> >
> > And when I start Emacs with "emacs -Q" I get:
> > X protocol error: RenderBadPicture (invalid Picture parameter) on
protocol request 138
> > When compiled with GTK, Emacs cannot recover from X disconnects.
> > This is a GTK bug: https://gitlab.gnome.org/GNOME/gtk/issues/221
> > For details, see etc/PROBLEMS.

> That backtrace unfortunately doesn't help.  Please run Emacs under GDB
> like this:
>
>  (gdb) run -q -xrm 'Emacs.synchronous: true'
>
> And show a backtrace from there instead.

Haven't made any progress with GDB so far, sorry.

> The output of `xdpyinfo' on your system would be helpful as well.

xdpyinfo output attached.